// args[0] : アイテムのID (例: "015")

var ThrownItemClass = function(stage, args)
{
	var imgName = args[0] + ".png";
	
	var th = this;
	var callback = function(obj){
		ThrowItemClass.itemCatched.apply(th, [obj]);
	};
	
	ThrownItemClass.base.apply(this, [imgName, callback]);
	
	//FreeItemClassの設定
	this.times = 1;
	this.isPhantom = false;
	
	// MovableStageObjectのための実装
	MovableStageObjectClass.apply(this, [stage, []]);
	
}.extend(FreeItemClass, {
	itemCatched : function(obj){
		var item = new SelectWidgetItemClass(false, this.image);
		
	},
	tick : function(){
		MovableStageObjectClass.prototype.tick.apply(this);
	},
	moveTo : function(x, y){
		MovableStageObjectClass.prototype.moveTo.apply(this, [x, y]);
	},
	canMoveTo : function(x, y){
		MovableStageObjectClass.prototype.canMoveTo.apply(this, [x, y]);
	}
});